Ubuntu

[MASTER] [WORKAROUND] "Offline Mode" feature fails to detect proper online state for networks that are managed outside of network manager.

Reported by chrismine on 2008-02-14
808
This bug affects 106 people
Affects Status Importance Assigned to Milestone
Mozilla Firefox
Fix Released
High
NetworkManager
New
Undecided
Emerson Vinicius
USB ADSL Modem Manager
New
Undecided
Unassigned
ntrack
Wishlist
Unassigned
Baltix
Undecided
Unassigned
empathy (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
Intrepid
Undecided
Unassigned
evolution (Ubuntu)
Low
Ubuntu Desktop Bugs
Hardy
Undecided
Unassigned
Intrepid
Low
Ubuntu Desktop Bugs
firefox-3.0 (Ubuntu)
Medium
Desiderius Sriyono
Hardy
Undecided
Desiderius Sriyono
Intrepid
Medium
Unassigned
network-manager (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
Intrepid
Undecided
Unassigned
network-manager-applet (Ubuntu)
Medium
Unassigned
Hardy
High
Unassigned
Intrepid
Medium
Unassigned
pidgin (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
Intrepid
Undecided
Unassigned

Bug Description

Binary package hint: firefox-3.0

DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=8.04
DISTRIB_CODENAME=hardy
DISTRIB_DESCRIPTION="Ubuntu hardy (development branch)"
Firefox 3.0b3
When I start firefox from the panel it always start in offline mode. I am connected via wireless to a network that is always on. When I want to browse I need to unclick "work offline"

Workaround 1: (since ffox 3.0.1) ->
 set toolkit.networkmanager.disable to false in about:config

Workaround 2: (make NM to be always online) ->
 add a non existing interface to /etc/network/interfaces, like:

iface eth1000 inet dhcp

Jose Bernardo (bernardo-bandos) wrote :

I can confirm this bug on kubuntu hardy beta (with latest upates 1 hour ago).

juangaspar (be-webdeveloper-st) wrote :

I have the same bug on Ubuntu Hardy 8.04 (with all updates)

chrismine (chrisjan-botha) wrote :

I also filed a bug for Evolution for the same behavior. As I had network-manager 0.7 installed Sebastien Bacher asked me to downgrade to the hardy version 0.6.5. The behavior does not occur any more. The bug for Evolution is #191901

Alexander Sack (asac) wrote :

this was related to network-manager 0.7 which was a preview version. closing the bug.

Changed in firefox-3.0:
status: New → Invalid
Jose Bernardo (bernardo-bandos) wrote :

Still happens here with network manager 0.6.5-0ubuntu17. All I need is to be using a dial up (CDMA) connection for firefox 3 beta 3 to always start in offline mode. I am using kubuntu hardy, network-manager-kde applet version 1:0.2ubuntu1-0ubuntu7

Changed in firefox-3.0:
status: Invalid → Confirmed
Daniel Newman (dmnewman) wrote :

Still happens here with network-manager 0.6.5-0ubuntu17 and a USB HSPDA modem (ppp0). However, apart from that problem there is also the fact that I run a web server on this machine, for access from this machine only. This offline mode startup means that firefox never looks for the localhost server - surely it should do this before looking for network access?

Alexander Sack (asac) wrote :

if its a bug, then its a network-manager one. keeping the task open for it.

Changed in firefox-3.0:
status: Confirmed → Invalid
Alexander Sack (asac) wrote :

how is your dial up connection setup? most likely network manager doesn't know anything about it? Can you please post your /etc/network/interfaces and tell me the exact steps you use to dial up.

Changed in network-manager:
status: New → Incomplete

I do the dial up with the kde network applet, using the "Dial up connections" submenu (guessing at the wording, as here it shows in portuguese). I have a "zapp" script in /etc/ppp/peers and have setup /etc/ppp/pap-secrets.
I'm including my /etc/network/interfaces.

Caroline Ford (secretlondon) wrote :

I have the same issue and use wvdial to connect using my usb hsdpa modem. I use wvdial as I couldn't get network manager to work.

Caroline Ford (secretlondon) wrote :

I didn't have this problem using firefox 2. Using network manager shouldn't be compulsory - I'd love to remove it personally..

As this didn't happen using firefox 2 I think this is a bug in the way firefox 3 decides whether we are online or not. I suspect it's trying to be helpful but failing miserably.

Yes, this didn't happen with firefox 2 for me too. But it does happen with konqueror - I have to do "dcop kded networkstatus setNetworkStatus NMNetwork 1" to get it to accept I am not offline.

Daniel Newman (dmnewman) wrote :

I think it's a firefox bug, not a network-manager one (although I agree network-manager doesn't handle dialup well). As I said earlier, I run a http server on the same machine I'm using firefox from. This has nothing to do with network-manager, but firefox still doesn't do the logical thing and look for a local server before jumping to offline mode.

sfan (sfan) wrote :

It's not a firefox bug, because the bug is also in evolution. The icon of the network-manager shows me that I'm not connected, but I am. I'm using hardy.

Daniel Newman (dmnewman) wrote :

This **is** a firefox bug. Firefox should be looking for a http server at its specified home page, either on its own machine or on the network, to decide whether or not to start offline. Even better, firefox should default to starting online and let those who need the oddities of a web browser without web access switch it to offline if they so require.

One of my machines is set with its default home page on its own http server (at localhost), and I find it quite illogical for it to tell me every time it is opened that it can't find the home page - the real problem is that it hasn't looked for it.

This is a firefox bug, as distinct from network-manager's inept handling of dial-up connections.

dav2dev (gin18) wrote :

as i understood it, firefox3 looks for d-bus messages to decide if it is online or offline. These messages are emitted by network-manager, so if nm is unable to recognize an active connection to the Internet, it will send messages that the computer is not connected, and firefox3 will open offline.
Firefox2 doesn't have this problem because firefox2 is much less integrated with linux(and d-bus,in this case).

P.s. sorry for my bad english :)

Network manager does seem to respond when I make my ppp0 connection.

Mar 5 15:55:33 celery NetworkManager: <debug> [1204732533.426876]
nm_hal_device_added(): New device added (hal udi is
'/org/freedesktop/Hal/devices/net_computer_0').

And when I close wvdial:

Mar 5 15:53:58 celery NetworkManager: <debug> [1204732438.905809]
nm_hal_device_removed(): Device removed (hal udi is
'/org/freedesktop/Hal/devices/net_computer_0').

This is definitely a bug in Firefox. I agree with many of the other posters here. I should not have to rely on NewtorkManager to use Firefox. In fact, sometimes I completely disable NM and override /etc/network/interfaces. So, marking this as a bug in Firefox appears valid. Please don't mark it invalid. This is something that either needs to be turned off by default, as in Firefox 2, or have the algorithm fixed so that it properly detects that you have a network connection. If I drop to a terminal and ping 4.2.2.2 successfully, but Firefox's new algorithm sucks, that's no my fault. Don't try to start bundling this bug with NetworkManager...

Changed in firefox-3.0:
status: Invalid → Confirmed
Paul Hannah (pkhannah) wrote :

I'll add my support behind reverting to the 'don't switch to offline mode automatically' method -- very few people want the browser to operate in offline mode, it's potentially a problem for those who think it's online-mode while it's not, and it's very annoying for those who never use it and find themselves with a non-working browser and no idea why.

daniel newman, your suggestions are beyond the scope of this bug report. please file a separate bug against firefox-3.0 with ideas on how to make the offline state smarter.

Thanks,
 - Alexander

Alexander Sack (asac) wrote :

this bug focusses on the problem that network manager exposes "offline" as the current network state even though there is an upped ppp connection.

Can anyone confirm that this ppp feature works with the gnome applet at all?

Changed in firefox-3.0:
status: Confirmed → Invalid
Sofa (alexschultze) wrote :

I encounter the same problem with an different configuration. NM is set to "Networking Disabled". This causes FF to go into offline mode every start.

fmichl (fmichl) wrote :

Using a ISDN connection firefox 3 can't detect it and turns into the offline mode after starting up. I have to change the mode manually.

mc44 (mc44) wrote :

I don't see how it's a bug in network manager. I have network manager disabled and use /etc/network/interfaces directly to connect to the internet, I'm still online, but firefox assumes I'm not. Assuming network-manager accurately displays the networking status is the bug.

The original bug report (hence the scope of the bug, surely) is nothing to do with ppp but instead wireless connection...

Ditto here.

NetworkManager isn't running and still Firefox starts up in offline
mode (note that it isn't the only app that is doing this now, Pidgin
is another example.)

On Mon, Mar 17, 2008 at 5:44 AM, mc44 <email address hidden> wrote:
> I don't see how it's a bug in network manager. I have network manager
> disabled and use /etc/network/interfaces directly to connect to the
> internet, I'm still online, but firefox assumes I'm not. Assuming
> network-manager accurately displays the networking status is the bug.
>
> The original bug report (hence the scope of the bug, surely) is nothing
> to do with ppp but instead wireless connection...
>
>
>
> --
> Firefox's new "Offline Mode" feature cannot properly detect when there is a valid network available for use in many circumstances
> https://bugs.launchpad.net/bugs/191889
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Caroline Ford (secretlondon) wrote :

Epiphany (and apparently evolution) also presume offline too. It's not
just a Firefox thing.

I've set up a serial interface in network tools and then unconfigured
it. Network manager now has "manual network configuration" and seems
to think I'm online all the time.

Interfaces is no different from before, however.

I have this problem too. I have a "Sierra 597E mobile broadband card". I detect it at boot time via lsusb, and start pppd if I detect it. Works great for me. It did not work with NM. Which is fine. I am happy with what I have now (boot scripts and shell aliases).

HOWEVER:

Firefox 3 thinks that I am offline despite the obvious default route etc.

I basically would be happy if I could just turn OFF the offline mode forever. I do not really need it. If I am offline, I do not start Firefox.

ManuPeng (mvieuxmaire) wrote :

Not like I think it's a big surprise, but it's the same with the **amd64** release of Hardy with all updates. My computer is always connected to the internet using a AVM Fritz PCI card and pon/poff for ppp.
This bugs affects:
-Firefox 3.0 beta 4, although it didn't in 2.0
-Pidgin in Hardy and it didn't work in Gutsy either
-Evolution and it didn't work in Gutsy either

Only about a month left to fix this on time for the final release.

On Sat, Mar 22, 2008 at 2:29 AM, ManuPeng <email address hidden> wrote:
> Not like I think it's a big surprise, but it's the same with the **amd64** release of Hardy with all updates. My computer is always connected to the internet using a AVM Fritz PCI card and pon/poff for ppp.
> This bugs affects:
> -Firefox 3.0 beta 4, although it didn't in 2.0
> -Pidgin in Hardy and it didn't work in Gutsy either
> -Evolution and it didn't work in Gutsy either
>
> Only about a month left to fix this on time for the final release.

Agreed. THIS BUG IS A SHOWSTOPPER for a large portion of affected
users. This bug absolutely needs to be fixed or else Ubuntu 8.04 LTS
stands to be a very flawed release...
--
Kristian Erik Hermansen
--
"Only those who dare to fail greatly can ever achieve greatly."

network-manager should NOT be affiliated with this Firefox issue.

Changed in network-manager:
status: Incomplete → Invalid

User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9b5pre) Gecko/2008032215 Minefield/3.0b5pre
Build Identifier: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9b5pre) Gecko/2008032215 Minefield/3.0b5pre

On my Debian system, I had the NetworkManager service running, however, my wired network interface was controlled manually (in my case, the relevant entry in /etc/network/interfaces was "iface eth1 inet static", which prevents NetworkManager from managing that interface). Therefore, when using the wired interface, I had network access, however, NetworkManager reports no network devices present (the commandline program nm-tool yielded:

"
NetworkManager Tool

State: disconnected

print_devices(): didn't get a reply from NetworkManager.
There are no available network devices.
").

This caused Firefox 3 to startup in Offline mode, which forced me to manually uncheck File->Work Offline at the beginning of each session.

As a workaround, I now disable the NetworkManager service before starting Firefox (now nm-tool reports
"
NetworkManager Tool

get_nm_state(): didn't get a reply from NetworkManager.

NetworkManager appears not to be running (could not get its state).
").

If NetworkManager intends that it is accurately reporting the "online" status of the computer (does it? or does it intend to only report the state of the connections that it is managing?), then I suppose that NetworkManager has a bug.

However, in any case, Firefox should have a config option that the user can use to tell Firefox not to query NetworkManager upon startup.

Reproducible: Always

Steps to Reproduce:
1. Install NetworkManager
2. Configure things so that NetworkManager does not control any of the active network interfaces (I believe you can do this by adding all of the active interfaces to /etc/network/interfaces, providing each of them with at least one option other than "auto" or "dhcp"). nm-tool should report state "disconnected", as described above.
3. Start Firefox. Observe that File->Work Offline is checked.
Actual Results:
File->Work Offline is checked

Expected Results:
I would expect that if I start Firefox when I am online (able to access remote web pages), and File->Work Offline was not checked at the end of my previous session, that File->Work Offline would not be checked upon startup

I have heard of other people having similar problems in slightly different circumstances (see https://bugs.launchpad.net/ubuntu/+source/firefox-3.0/+bug/191889).

Since NetworkManager cannot currently be relied upon to accurately give the online status of the system, I am requesting an option that tells tell Firefox not to query NetworkManager upon startup. I could not find such an option at http://kb.mozillazine.org/Category:Preferences.

I think, at least, there should be an option in the network manager to manually override it and set it to a fixed "online" state if you choose to. That way, we could set it to "online" once and for all and go on with our business...

That'd be a quick fix on time for the final release, should the responsible developer not have time for the real thing that's been bothering me/us since Gutsy. I mean, I spent an hour yesterday, waiting for an email in evolution, that a friend said he had sent me. Only to finally realize evolution was offline all that time and not fetching my emails. Hehe, there you go again, I've just realized I'm offline again with two emails in my outbox...

On Sat, Mar 15, 2008 at 07:50:39PM -0000, Sofa wrote:
> I encounter the same problem with an different configuration. NM is set
> to "Networking Disabled". This causes FF to go into offline mode every
> start.
>

Why are you online with networking disabled?

 - Alexander

Alexander Sack (asac) wrote :

On Sun, Mar 16, 2008 at 06:00:02PM -0000, fmichl wrote:
> Using a ISDN connection firefox 3 can't detect it and turns into the
> offline mode after starting up. I have to change the mode manually.
>

How exactly is your ISDN connection configured. please attach your
/etc/network/interfaces and your complete /var/log/syslog

 - Alexander

Alexander Sack (asac) wrote :

On Sun, Mar 16, 2008 at 07:44:34PM -0000, mc44 wrote:
> I don't see how it's a bug in network manager. I have network manager
> disabled and use /etc/network/interfaces directly to connect to the
> internet, I'm still online, but firefox assumes I'm not. Assuming
> network-manager accurately displays the networking status is the bug.

Please post your /etc/network/interfaces and your complete
/var/log/syslog taken _after_ you experienced this problem.

 - Alexander

Alexander Sack (asac) wrote :

On Tue, Mar 18, 2008 at 01:21:08AM -0000, ichudov wrote:
> I have this problem too. I have a "Sierra 597E mobile broadband card". I
> detect it at boot time via lsusb, and start pppd if I detect it. Works
> great for me. It did not work with NM. Which is fine. I am happy with
> what I have now (boot scripts and shell aliases).
>
> HOWEVER:
>
> Firefox 3 thinks that I am offline despite the obvious default route
> etc.
>
> I basically would be happy if I could just turn OFF the offline mode
> forever. I do not really need it. If I am offline, I do not start
> Firefox.
>

try to setup that ppp connection in /etc/network/interfaces. maybe you
can even use network manager to bring it up and down then.

 - Alexander

Alexander Sack (asac) wrote :

On Sat, Mar 22, 2008 at 09:29:32AM -0000, ManuPeng wrote:
> Not like I think it's a big surprise, but it's the same with the **amd64** release of Hardy with all updates. My computer is always connected to the internet using a AVM Fritz PCI card and pon/poff for ppp.
> This bugs affects:
> -Firefox 3.0 beta 4, although it didn't in 2.0
> -Pidgin in Hardy and it didn't work in Gutsy either
> -Evolution and it didn't work in Gutsy either
>
> Only about a month left to fix this on time for the final release.
>

Please try to configure your ppp connection in /etc/network/interfaces
or System->Administration->Network.

 - Alexander

Changed in firefox-3.0:
status: Confirmed → Invalid
Changed in network-manager:
status: Invalid → Incomplete
Swistak (swistakers) on 2008-05-10
Changed in network-manager:
status: Incomplete → Confirmed
status: Confirmed → Incomplete
Changed in firefox-3.0:
status: Invalid → Confirmed
Changed in network-manager:
status: Incomplete → Confirmed
Changed in evolution:
status: New → Confirmed
Changed in pidgin:
status: New → Confirmed
Changed in evolution:
assignee: nobody → desktop-bugs
importance: Undecided → Low
status: Confirmed → Invalid
Alexander Sack (asac) on 2008-05-12
Changed in firefox-3.0:
status: Confirmed → Won't Fix
Alexander Sack (asac) on 2008-06-05
Changed in firefox-3.0:
importance: Undecided → Medium
status: Won't Fix → In Progress
Changed in network-manager:
status: New → Confirmed
Changed in firefox:
status: Unknown → Confirmed
Alexander Sack (asac) on 2008-07-18
description: updated
description: updated
Alexander Sack (asac) on 2008-09-10
Changed in network-manager:
importance: Undecided → Medium
status: Confirmed → Triaged
Changed in firefox:
status: Confirmed → Fix Released
Alexander Sack (asac) on 2008-09-24
Changed in firefox-3.0:
status: In Progress → Invalid
status: New → Invalid
Changed in evolution:
status: New → Invalid
Changed in network-manager:
importance: Undecided → High
status: New → Triaged
milestone: none → ubuntu-8.10
Changed in pidgin:
status: New → Confirmed
Alexander Sack (asac) on 2008-10-10
Changed in network-manager:
status: Triaged → Fix Committed
Changed in network-manager:
status: Fix Committed → Fix Released
Alexander Sack (asac) on 2008-10-15
Changed in pidgin:
status: Confirmed → Fix Released
Changed in empathy:
status: New → Fix Released
Changed in network-manager:
assignee: nobody → Duke (ers-duke16)
Alexander Sack (asac) on 2009-10-29
Changed in ntrack:
importance: Undecided → Wishlist
status: New → Triaged
dzidek23 (dzidek23) on 2010-03-05
Changed in network-manager:
status: Confirmed → New
Changed in network-manager (Ubuntu Intrepid):
status: New → Won't Fix
397 comments hidden view all 477 comments

I see that the fix has been committed and released for network manager. But I think the whole issue hasn't moved an inch towards resolution. Even after two years, nw fails to look at ppp connection status to give an informed online/offline status. All depending applications i.e. evolution, firefox etc. continue to be fooled by nw's online/offline status. They continue to start in offline mode.

In two years, no fix/progress/information sought/fix?? Is there anything I can do to stop evolution from starting in offline mode?
Is there anything, I as a user can do to help?? This is glaring!!

I see that the fix has been committed and released for network manager. But I think the whole issue hasn't moved an inch towards resolution. Even after two years, nw fails to look at ppp connection status to give an informed online/offline status. All depending applications i.e. evolution, firefox etc. continue to be fooled by nw's online/offline status. They continue to start in offline mode.

In two years, thgere is no fix or progress or information has been sought ? Is there anything I can do to stop evolution from starting in offline mode?
Is there anything, I as a user can do to help?? This is glaring!!

Hi, I connect to internet using Huawei EC1260 USB modem on Lucid Lynx. The network manager "detects" the mobile broadband hardware but doesn't conect for some reason that I'll investigate later.
Since nw can't get me connected (despite detecting the device), I am forced to use ppp (wvdial or GNOME-ppp)

So, I connect using GNOME-PPP that uses pppd interface for the Huawei modem. It works like a charm.
After I successfully connect as above, when I physically pull out the Huawei USB modem, network manager immediately jumps and notifies me that I am "now" offline. Why is network manager telling everybody ( e.g. Firefox, Evolution) that I was offline before ?

My point is : If network manager instantly and exactly "knows" when I get offline after staying connected using ppp, then why is it misguiding all the depending application that I was offline before?

While I used the Firefox workaround using about:config, is there any workaround to get Evolution start online??

I have just added the option -offline to the starter. example: firefox -offline %u
This works for me, firefox is starting in online mode.

1 comments hidden view all 477 comments

I have just added the option -offline to the starter.
example: firefox -offline %u
This works for me, firefox is starting in online mode.

3 comments hidden view all 477 comments
Paul Perkins (catmatist) wrote :

Some recent (this is July 26, 2010) update to Lucid has caused NetworkManager to wake up, on a system that has no need for it (static, permanent, wired, unmanaged network link only) and begin broadcasting via ipc-of-the-week (DBUS?) that the machine had no network connection, causing Firefox, claws-mail, etc.,, to start in Offline mode. Firefox and claws-mail both have obscure ways to tell them not to listen to what NetworkMangler says. I've applied those and also removed as many networkmanager packages as I could using Synaptic. I just hope the Damned thing is dead now.

I also have a laptop, also running Lucid, that kind of needs something like NetworkManager. It works so far... When it is good, it is very, very good, and when it is bad, it is horrid.

1 comments hidden view all 477 comments
Paul Perkins (catmatist) wrote :

Some recent (this is July 26, 2010) update to Lucid has caused NetworkManager to wake up, on a system that has no need for it (static, permanent, wired, unmanaged network link only) and begin broadcasting via ipc-of-the-week (DBUS?) that the machine had no network connection, causing Firefox, claws-mail, etc.,, to start in Offline mode. Firefox and claws-mail both have obscure ways to tell them not to listen to what NetworkMangler says. I've applied those and also removed as many networkmanager packages as I could using Synaptic. I just hope the Damned thing is dead now.

I also have a laptop, also running Lucid, that kind of needs something like NetworkManager. It works so far. When it is good, it is very, very good, and when it is bad, it is horrid.

Paul Perkins (catmatist) wrote :

Some recent (this is July 26, 2010) update to Lucid has caused NetworkManager to wake up, on a system that has no need for it (static, permanent, wired, unmanaged network link only) and begin broadcasting via ipc-of-the-week (DBUS?) that the machine had no network connection, causing Firefox, claws-mail, etc., to start in Offline mode. Firefox and claws-mail both have obscure ways to tell them not to listen to what NetworkMangler says. I've applied those and also removed as many networkmanager packages as I could using Synaptic. I just hope the Damned thing is dead now.

I also have a laptop, also running Lucid, that kind of needs something like NetworkManager. It works so far. When it is good, it is very, very good, and when it is bad, it is horrid.

5 comments hidden view all 477 comments
Paul Perkins (catmatist) wrote :

Launchpad kept giving me an information-free error popup whenever I hit "post" and so I did not know it was actually posting until I hit refresh. Sorry (but it's not my fault really, is it).

papukaija (papukaija) on 2010-08-30
tags: added: metabug
Jim Kyle (jim-jimkyle) wrote :

I have three boxes all running Lucid and all fully updated as of 5 Sept 2010. All three have unmanaged interfaces via /etc/network/interfaces entries. On this box Firefox works normally. On the other two it always comes up in offline mode, and Workaround 1 listed in comment 1 of this report has no effect on it. I've not tried Workaround 2 on them yet.

This box does have one totally unused network adapter that's listed in the interfaces file together with the two NICs that really are used, which may be the difference. However the syslog shows sporadic entries that NetworkManager has found an unmanaged interface and forced "connected" state...

1 comments hidden view all 477 comments
Jim Kyle (jim-jimkyle) wrote :

Update to comment 456:

Workaround 2 had no effect either, but inverting the setting of Workaround 1 from "false" to "true" did solve the problem on the test system. It no longer comes up in "work offline" mode.

Thanks for the summary of your efforts. I experience the "offline"
condition for
FireFox only during a dialup connection. Using the DSL network connection
with a router
and DSL adapter Firefox works normally. My dialup connection for Ubuntu
9.04 and 9.10 has been gnome-ppp.

On Sun, Sep 5, 2010 at 8:30 PM, Jim Kyle <email address hidden> wrote:

> Update to comment 456:
>
> Workaround 2 had no effect either, but inverting the setting of
> Workaround 1 from "false" to "true" did solve the problem on the test
> system. It no longer comes up in "work offline" mode.
>
> --
> [MASTER] [WORKAROUND] "Offline Mode" feature fails to detect proper online
> state for networks that are managed outside of network manager.
> https://bugs.launchpad.net/bugs/191889
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Changed in firefox:
importance: Unknown → High
Changed in empathy (Ubuntu Hardy):
status: New → Confirmed
Changed in network-manager (Ubuntu Hardy):
status: New → Confirmed
Changed in network-manager (Ubuntu):
status: New → Confirmed
dino99 (9d9) on 2012-01-17
affects: firefox-3.0 (Baltix) → baltix
Changed in baltix:
status: New → Fix Released
Changed in pidgin (Ubuntu Hardy):
status: Confirmed → Invalid
Changed in network-manager (Ubuntu Hardy):
status: Confirmed → Invalid
Changed in network-manager (Ubuntu):
status: Confirmed → Incomplete
Changed in empathy (Ubuntu Hardy):
status: Confirmed → Invalid
Changed in ntrack:
status: Triaged → Incomplete
Changed in network-manager-applet (Ubuntu Hardy):
status: Triaged → Incomplete
dino99 (9d9) wrote :

What is logged on Precise i386:

NetworkManager[2054]: <info> (eth1): deactivating device (reason 'managed') [2]
localhost NetworkManager[2054]: <info> Unmanaged Device found; state CONNECTED forced. (see http://bugs.launchpad.net/bugs/191889)
localhost NetworkManager[2054]: <info> Unmanaged Device found; state CONNECTED forced. (see http://bugs.launchpad.net/bugs/191889)
localhost NetworkManager[2054]: <info> Added default wired connection 'Wired connection 1' for /sys/devices/pci0000:00/0000:00:1c.4/0000:03:00.0/net/eth1

1 comments hidden view all 477 comments
dino99 (9d9) wrote :

What is logged on Precise i386:

NetworkManager[2054]: <info> (eth1): deactivating device (reason 'managed') [2]
localhost NetworkManager[2054]: <info> Unmanaged Device found; state CONNECTED forced. (see http://bugs.launchpad.net/bugs/191889)
localhost NetworkManager[2054]: <info> Unmanaged Device found; state CONNECTED forced. (see http://bugs.launchpad.net/bugs/191889)
localhost NetworkManager[2054]: <info> Added default wired connection 'Wired connection 1' for /sys/devices/pci0000:00/0000:00:1c.4/0000:03:00.0/net/eth1

I am using Ubuntu 10.04 and a recent fire fox version. When I use my Dial-up
program, Gnome-ppp I still need to uncheck the "work offline" box under the file pull-down menu

John

David Scott (tdavid-scott3) wrote :

After reading this entire post, and finding nothing useful. The only useful posting was the one about updating (searching for the poster, crashed my FireFox) so I am not sure if this will help anyone.

[My System]
Ubuntu 10.04.3 (server) - updated to generic-pae - running Xubuntu-Desktop
Linux acer 2.6.32-38-generic-pae #83-Ubuntu SMP Wed Jan 4 12:11:13 UTC 2012 i686 GNU/Linux
--------
The steps I took to fix the problem
Applications->Accessories->Terminal
$ sudo su -
$ aptitude search network
    I looked for all that was installed, and what I thought would be needed to maintain the network through apps instead of directly through the /etc/network/interfaces file
I found and installed the below apps
$ sudo apt-get install network-manager network-config network-manager-gnome gnome-network-admin --reinstall

The gui informed me after this install I needed to reboot, so I rebooted.
Once I rebooted, the notification icon didn't appear, and FireFox along with other applications did start correctly, (ie NOT in "Offline" Mode)

1 comments hidden view all 477 comments
jkohler2 (jkohler2) wrote :

Thanks. I will print this message and follow the directions.

John

On Wed, Jan 25, 2012 at 4:59 AM, David Scott <email address hidden>wrote:

> After reading this entire post, and finding nothing useful. The only
> useful posting was the one about updating (searching for the poster,
> crashed my FireFox) so I am not sure if this will help anyone.
>
> [My System]
> Ubuntu 10.04.3 (server) - updated to generic-pae - running Xubuntu-Desktop
> Linux acer 2.6.32-38-generic-pae #83-Ubuntu SMP Wed Jan 4 12:11:13 UTC
> 2012 i686 GNU/Linux
> --------
> The steps I took to fix the problem
> Applications->Accessories->Terminal
> $ sudo su -
> $ aptitude search network
> I looked for all that was installed, and what I thought would be needed
> to maintain the network through apps instead of directly through the
> /etc/network/interfaces file
> I found and installed the below apps
> $ sudo apt-get install network-manager network-config
> network-manager-gnome gnome-network-admin --reinstall
>
> The gui informed me after this install I needed to reboot, so I rebooted.
> Once I rebooted, the notification icon didn't appear, and FireFox along
> with other applications did start correctly, (ie NOT in "Offline" Mode)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/191889
>
> Title:
> [MASTER] [WORKAROUND] "Offline Mode" feature fails to detect proper
> online state for networks that are managed outside of network manager.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/firefox/+bug/191889/+subscriptions
>

jsmanian (jsmanian79) wrote :
Download full text (3.4 KiB)

I also having this bug. System is not shutting down properly.

rsyslog file:

May 23 22:43:22 jsm NetworkManager[666]: <info> (ttyACM0): device state change: activated -> disconnected (reason 'user-requested') [100 30 39]
May 23 22:43:22 jsm NetworkManager[666]: <info> (ttyACM0): deactivating device (reason 'user-requested') [39]
May 23 22:43:22 jsm pppd[2335]: Terminating on signal 15
May 23 22:43:22 jsm pppd[2335]: Connect time 33.5 minutes.
May 23 22:43:22 jsm pppd[2335]: Sent 816683 bytes, received 23488634 bytes.
May 23 22:43:22 jsm NetworkManager[666]: nm_system_iface_flush_routes: assertion `ifindex > 0' failed
May 23 22:43:22 jsm NetworkManager[666]: nm_system_iface_flush_addresses: assertion `ifindex > 0' failed
May 23 22:43:22 jsm pppd[2335]: Connection terminated.
May 23 22:43:22 jsm avahi-daemon[663]: Withdrawing workstation service for ppp0.
May 23 22:43:22 jsm dnsmasq[2388]: exiting on receipt of SIGTERM
May 23 22:43:22 jsm NetworkManager[666]: <info> DNS: starting dnsmasq...
May 23 22:43:22 jsm NetworkManager[666]: <info> (ttyACM0): writing resolv.conf to /sbin/resolvconf
May 23 22:43:23 jsm dnsmasq[3230]: started, version 2.59 cache disabled
May 23 22:43:23 jsm dnsmasq[3230]: compile time options: IPv6 GNU-getopt DBus i18n DHCP TFTP conntrack IDN
May 23 22:43:23 jsm dnsmasq[3230]: warning: no upstream servers configured
May 23 22:43:23 jsm modem-manager[642]: <info> Modem /org/freedesktop/ModemManager/Modems/0: state changed (connected -> disconnecting)
May 23 22:43:23 jsm dbus[508]: [system] Activating service name='org.freedesktop.nm_dispatcher' (using servicehelper)
May 23 22:43:23 jsm NetworkManager[666]: SCPlugin-Ifupdown: devices removed (path: /sys/devices/virtual/net/ppp0, iface: ppp0)
May 23 22:43:23 jsm dbus[508]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
May 23 22:43:24 jsm modem-manager[642]: <info> Modem /org/freedesktop/ModemManager/Modems/0: state changed (disconnecting -> registered)
May 23 22:43:27 jsm modem-manager[642]: <info> (ttyACM0) closing serial port...
May 23 22:43:27 jsm modem-manager[642]: <info> (ttyACM0) serial port closed
May 23 22:43:27 jsm kernel: [ 2975.160088] usb 3-1: USB disconnect, device number 2
May 23 22:43:27 jsm modem-manager[642]: <info> (tty/ttyACM0): released by modem /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1
May 23 22:43:27 jsm modem-manager[642]: <info> Modem /org/freedesktop/ModemManager/Modems/0: state changed (registered -> disabled)
May 23 22:43:27 jsm NetworkManager[666]: <info> (ttyACM0): now unmanaged
May 23 22:43:27 jsm NetworkManager[666]: <info> (ttyACM0): device state change: disconnected -> unmanaged (reason 'removed') [30 10 36]
May 23 22:43:27 jsm NetworkManager[666]: <info> (ttyACM0): cleaning up...
May 23 22:43:27 jsm NetworkManager[666]: <info> (ttyACM0): taking down device.
May 23 22:43:27 jsm NetworkManager[666]: <info> Unmanaged Device found; state CONNECTED forced. (see http://bugs.launchpad.net/bugs/191889)
May 23 22:43:27 jsm NetworkManager[666]: <info> Unmanaged Device found; state CONNECTED forced. (see http://bugs.launchpad.net/bugs/191889)
May 23 22:43:36 jsm kernel: Kernel logging (proc) stopped.
May 23 22:43...

Read more...

1 comments hidden view all 477 comments
jsmanian (jsmanian79) wrote :
Download full text (3.4 KiB)

I also having this bug. System is not shutting down properly.
syslog file:
May 23 22:43:22 jsm NetworkManager[666]: <info> (ttyACM0): device state change: activated -> disconnected (reason 'user-requested') [100 30 39]
May 23 22:43:22 jsm NetworkManager[666]: <info> (ttyACM0): deactivating device (reason 'user-requested') [39]
May 23 22:43:22 jsm pppd[2335]: Terminating on signal 15
May 23 22:43:22 jsm pppd[2335]: Connect time 33.5 minutes.
May 23 22:43:22 jsm pppd[2335]: Sent 816683 bytes, received 23488634 bytes.
May 23 22:43:22 jsm NetworkManager[666]: nm_system_iface_flush_routes: assertion `ifindex > 0' failed
May 23 22:43:22 jsm NetworkManager[666]: nm_system_iface_flush_addresses: assertion `ifindex > 0' failed
May 23 22:43:22 jsm pppd[2335]: Connection terminated.
May 23 22:43:22 jsm avahi-daemon[663]: Withdrawing workstation service for ppp0.
May 23 22:43:22 jsm dnsmasq[2388]: exiting on receipt of SIGTERM
May 23 22:43:22 jsm NetworkManager[666]: <info> DNS: starting dnsmasq...
May 23 22:43:22 jsm NetworkManager[666]: <info> (ttyACM0): writing resolv.conf to /sbin/resolvconf
May 23 22:43:23 jsm dnsmasq[3230]: started, version 2.59 cache disabled
May 23 22:43:23 jsm dnsmasq[3230]: compile time options: IPv6 GNU-getopt DBus i18n DHCP TFTP conntrack IDN
May 23 22:43:23 jsm dnsmasq[3230]: warning: no upstream servers configured
May 23 22:43:23 jsm modem-manager[642]: <info> Modem /org/freedesktop/ModemManager/Modems/0: state changed (connected -> disconnecting)
May 23 22:43:23 jsm dbus[508]: [system] Activating service name='org.freedesktop.nm_dispatcher' (using servicehelper)
May 23 22:43:23 jsm NetworkManager[666]: SCPlugin-Ifupdown: devices removed (path: /sys/devices/virtual/net/ppp0, iface: ppp0)
May 23 22:43:23 jsm dbus[508]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
May 23 22:43:24 jsm modem-manager[642]: <info> Modem /org/freedesktop/ModemManager/Modems/0: state changed (disconnecting -> registered)
May 23 22:43:27 jsm modem-manager[642]: <info> (ttyACM0) closing serial port...
May 23 22:43:27 jsm modem-manager[642]: <info> (ttyACM0) serial port closed
May 23 22:43:27 jsm kernel: [ 2975.160088] usb 3-1: USB disconnect, device number 2
May 23 22:43:27 jsm modem-manager[642]: <info> (tty/ttyACM0): released by modem /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1
May 23 22:43:27 jsm modem-manager[642]: <info> Modem /org/freedesktop/ModemManager/Modems/0: state changed (registered -> disabled)
May 23 22:43:27 jsm NetworkManager[666]: <info> (ttyACM0): now unmanaged
May 23 22:43:27 jsm NetworkManager[666]: <info> (ttyACM0): device state change: disconnected -> unmanaged (reason 'removed') [30 10 36]
May 23 22:43:27 jsm NetworkManager[666]: <info> (ttyACM0): cleaning up...
May 23 22:43:27 jsm NetworkManager[666]: <info> (ttyACM0): taking down device.
May 23 22:43:27 jsm NetworkManager[666]: <info> Unmanaged Device found; state CONNECTED forced. (see http://bugs.launchpad.net/bugs/191889)
May 23 22:43:27 jsm NetworkManager[666]: <info> Unmanaged Device found; state CONNECTED forced. (see http://bugs.launchpad.net/bugs/191889)
May 23 22:43:36 jsm kernel: Kernel logging (proc) stopped.
May 23 22:43:36...

Read more...

jsmanian (jsmanian79) wrote :

I also having this bug. System is not shutting down properly.
syslog file:
May 23 22:43:23 jsm dnsmasq[3230]: compile time options: IPv6 GNU-getopt DBus i18n DHCP TFTP conntrack IDN
May 23 22:43:23 jsm dnsmasq[3230]: warning: no upstream servers configured
May 23 22:43:23 jsm modem-manager[642]: <info> Modem /org/freedesktop/ModemManager/Modems/0: state changed (connected -> disconnecting)
May 23 22:43:23 jsm dbus[508]: [system] Activating service name='org.freedesktop.nm_dispatcher' (using servicehelper)
May 23 22:43:23 jsm NetworkManager[666]: SCPlugin-Ifupdown: devices removed (path: /sys/devices/virtual/net/ppp0, iface: ppp0)
May 23 22:43:23 jsm dbus[508]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
May 23 22:43:24 jsm modem-manager[642]: <info> Modem /org/freedesktop/ModemManager/Modems/0: state changed (disconnecting -> registered)
May 23 22:43:27 jsm modem-manager[642]: <info> (ttyACM0) closing serial port...
May 23 22:43:27 jsm modem-manager[642]: <info> (ttyACM0) serial port closed
May 23 22:43:27 jsm kernel: [ 2975.160088] usb 3-1: USB disconnect, device number 2
May 23 22:43:27 jsm modem-manager[642]: <info> (tty/ttyACM0): released by modem /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1
May 23 22:43:27 jsm modem-manager[642]: <info> Modem /org/freedesktop/ModemManager/Modems/0: state changed (registered -> disabled)
May 23 22:43:27 jsm NetworkManager[666]: <info> (ttyACM0): now unmanaged
May 23 22:43:27 jsm NetworkManager[666]: <info> (ttyACM0): device state change: disconnected -> unmanaged (reason 'removed') [30 10 36]
May 23 22:43:27 jsm NetworkManager[666]: <info> (ttyACM0): cleaning up...
May 23 22:43:27 jsm NetworkManager[666]: <info> (ttyACM0): taking down device.
May 23 22:43:27 jsm NetworkManager[666]: <info> Unmanaged Device found; state CONNECTED forced. (see http://bugs.launchpad.net/bugs/191889)
May 23 22:43:27 jsm NetworkManager[666]: <info> Unmanaged Device found; state CONNECTED forced. (see http://bugs.launchpad.net/bugs/191889)
May 23 22:43:36 jsm kernel: Kernel logging (proc) stopped.
May 23 22:43:36 jsm rsyslogd: [origin software="rsyslogd" swVersion="5.8.6" x-pid="504" x-info="http://www.rsyslog.com"] exiting on signal 15.

And my machine configuration is
Processor - Intel® Core™2 Duo CPU E4600 @ 2.40GHz × 2
OS type - 64Bit
Memory - 2GB

 <info> Unmanaged Device found; state CONNECTED forced.

I am running Ubuntu server 12.04 LTS with ubuntu-desktop installed. The eth0 device is not managed by NM. I use NM to connect my 3g Mobile Broardband USB modem to the internet. I also use firestarter to provision (Internet Connection Sharing). As of this moment I see no problems. Either when I use my 3G modem or I plug the eth0 into a router to gain Internet access.

dino99 (9d9) on 2012-06-29
Changed in network-manager (Ubuntu):
status: Incomplete → Invalid
Changed in network-manager-applet (Ubuntu Hardy):
status: Incomplete → Invalid
Changed in ntrack:
status: Incomplete → Invalid

Comment on attachment 322833
Disable DBUS support if NetworkManager 0.7 is not present

Per comments 61 - 72 removing what I understand to be an obsolete review request on a long-old patch. If I have miss-understood the patch is still needed, please file a new bug and attach a fresh patch there. Thanks.

Same here whit 12.5 LTS 64 bit,... but it's anoying
that syslog fill's whit below shit,...

=====
Dec 2 23:28:14 kurrola kernel: [28963.624076] Unknown OutputIN= OUT=lxcbr0 SRC=10.0.3.1 DST=10.0.3.255 LEN=316 TOS=0x00 PREC=0x00 TTL=64 ID=0 DF PROTO=UDP SPT=631 DPT=631 LEN=296
Dec 2 23:28:21 kurrola NetworkManager[2085]: <info> Unmanaged Device found; state CONNECTED forced. (see http://bugs.launchpad.net/bugs/191889)
Dec 2 23:28:23 kurrola NetworkManager[2085]: <info> Unmanaged Device found; state CONNECTED forced. (see http://bugs.launchpad.net/bugs/191889)
Dec 2 23:28:31 kurrola NetworkManager[2085]: <info> Unmanaged Device found; state CONNECTED forced. (see http://bugs.launchpad.net/bugs/191889)
Dec 2 23:28:33 kurrola NetworkManager[2085]: <info> Unmanaged Device found; state CONNECTED forced. (see http://bugs.launchpad.net/bugs/191889)
Dec 2 23:28:41 kurrola NetworkManager[2085]: <info> Unmanaged Device found; state CONNECTED forced. (see http://bugs.launchpad.net/bugs/191889)
Dec 2 23:28:43 kurrola NetworkManager[2085]: <info> Unmanaged Device found; state CONNECTED forced. (see http://bugs.launchpad.net/bugs/191889)
Dec 2 23:28:45 kurrola kernel: [28994.926798] Unknown OutputIN= OUT=lxcbr0 SRC=10.0.3.1 DST=10.0.3.2

Changed in firefox-3.0 (Ubuntu):
status: Invalid → Fix Released
Desiderius Sriyono (dsriyono) wrote :

kode02

Changed in firefox-3.0 (Ubuntu):
assignee: nobody → Desiderius Sriyono (dsriyono)
Changed in firefox-3.0 (Ubuntu Hardy):
assignee: nobody → Desiderius Sriyono (dsriyono)
status: Invalid → Fix Released
Kychot (petr-dulos) wrote :

Ubuntu 12.10
Linux eb 3.5.0-27-generic #46-Ubuntu SMP Mon Mar 25 20:00:05 UTC 2013 i686 i686 i686 GNU/Linux
USB modem: Product: Vertex Wireless Multi-Function Device

The connection is OK but after every 50 minutes the modem hangups:

May 3 15:36:05 eb pppd[3589]: LCP terminated by peer
May 3 15:36:05 eb pppd[3589]: Connect time 51.1 minutes.
May 3 15:36:05 eb pppd[3589]: Sent 1768732 bytes, received 55238638 bytes.
May 3 15:36:09 eb pppd[3589]: Connection terminated.
May 3 15:36:09 eb NetworkManager[1189]: <info> (ttyACM0): device state change: activated -> failed (reason 'ip-config-unavailable') [100 120 5]
May 3 15:36:09 eb avahi-daemon[1159]: Withdrawing workstation service for ppp0.
May 3 15:36:09 eb NetworkManager[1189]: <info> Unmanaged Device found; state CONNECTED forced. (see http://bugs.launchpad.net/bugs/191889)
May 3 15:36:09 eb NetworkManager[1189]: <warn> Activation (ttyACM0) failed for connection 'UFON 910 045 174'
....

Sometimes the modem falls out after some minutes:
May 3 15:40:24 eb NetworkManager[1189]: <info> Unmanaged Device found; state CONNECTED forced. (see http://bugs.launchpad.net/bugs/191889)
May 3 15:41:14 eb pppd[5438]: Modem hangup
May 3 15:41:14 eb pppd[5438]: Connect time 4.1 minutes.
May 3 15:41:14 eb pppd[5438]: Sent 141041 bytes, received 1393940 bytes.
...

On another netbook with Ubuntu 12.04 LTS this modem runs many hours without problems.
See Attachment for syslog

Displaying first 40 and last 40 comments. View all 477 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.